import { Connection, ConnectionConfig, createConnection } from 'mariadb'

export class DbHandle {
    private connConfig?: ConnectionConfig
    private conn?: Connection

    public constructor() {
        this.connConfig = {
            host: '172.16.10.18',
            user: 'heroes',
            password: 'test123',
            database: 'heroes'
        }
    }

    public async connect(): Promise<void> {
        this.conn = await createConnection(this.connConfig)
    }

    public query(stmt: string) : Promise<any> {
        return this.conn?.query(stmt) ?? Promise.reject(new Error('Connection not ready (query)'))
    }

    public close() : Promise<void> {
        return this.conn?.end() ?? Promise.reject(new Error('Connection not ready (close)'))
    }

}